/********************************************************************
    file:       lsAlbumListAPI.h
	
    purpose:    lsAlbumList API (exports)
*********************************************************************/

#ifndef _LSALBUMLISTAPI_H
#define _LSALBUMLISTAPI_H

#ifdef LSALBUMLIST_EXPORTS
#define LSALBUMLIST_API __declspec(dllexport)
#else
#define LSALBUMLIST_API __declspec(dllimport)
#endif


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// includes
//
#include "../ls-b247/lsapi/lsapi.h"
#include "alfront.h"


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// exports
//
#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

//
// from main.cpp
//
	// Module Initialization
	LSALBUMLIST_API int initModuleEx(IN HWND hParent, IN HINSTANCE hInstance, IN LPCSTR szLSPath);
	// Module Cleanup
	LSALBUMLIST_API void quitModule(IN HINSTANCE hInstance);

	
#ifdef __cplusplus
}
#endif // __cplusplus


#endif // _LSALBUMLISTAPI_H